Skip to main content
POST
/
v1
/
users
/
{id}
cURL
curl --request POST \
  --url https://cloud.activepieces.com/api/v1/users/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "ACTIVE",
  "platformRole": "ADMIN",
  "externalId": "<string>"
}
'
{
  "id": "<string>",
  "email": "<string>",
  "firstName": "<string>",
  "status": "ACTIVE",
  "platformRole": "ADMIN",
  "lastName": "<string>",
  "created": "<string>",
  "updated": "<string>",
  "externalId": "<string>",
  "platformId": "<string>",
  "lastActiveDate": "<string>",
  "imageUrl": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your api key generated from the admin console

Path Parameters

id
string
required
Pattern: ^[0-9a-zA-Z]{21}$

Body

application/json
status
enum<string>
Available options:
ACTIVE,
INACTIVE
platformRole
enum<string>
Available options:
ADMIN,
MEMBER,
OPERATOR
externalId
string

Response

200 - application/json

Default Response

id
string
required
email
string
required
firstName
string
required
status
enum<string>
required
Available options:
ACTIVE,
INACTIVE
platformRole
enum<string>
required
Available options:
ADMIN,
MEMBER,
OPERATOR
lastName
string
required
created
string
required
updated
string
required
externalId
string | null
platformId
string | null
lastActiveDate
string | null
imageUrl
string | null